var respecConfig = {
    // specification status (e.g. WD, LCWD, NOTE, etc.). If in doubt use ED.
    specStatus:           "ED",
    //publishDate:          "2013-05-23",
    //copyrightStart:       "2010",
    //lcEnd:                "2013-04-08",

    // the specification's short name, as in http://www.w3.org/TR/short-name/
    shortName:            "vocab-org",
    //subtitle:             "",
    // if you wish the publication date to be other than today, set this
    // publishDate:  "2009-08-06",

    // if there is a previously published draft, uncomment this and set its YYYY-MM-DD date
    // and its maturity status
    previousPublishDate:  "2012-10-23",
    previousMaturity:     "LC",
    //previousDiffURI:      "http://dvcs.w3.org/hg/gld/bp/",
    //diffTool:             "http://www.aptest.com/standards/htmldiff/htmldiff.pl",

    // if there a publicly available Editor's Draft, this is the link
    edDraftURI:           "https://dvcs.w3.org/hg/gld/raw-file/default/org/index.html",

    // if this is a LCWD, uncomment and set the end of its review period
    // lcEnd: "2009-08-05",

    // if you want to have extra CSS, append them to this list
    // it is recommended that the respec.css stylesheet be kept
    extraCSS:             [
        "http://dev.w3.org/2009/dap/ReSpec.js/css/respec.css"
    ],

    // editors, add as many as you like
    // only "name" is required
    editors:  [
        { name: "Dave Reynolds", company: "Epimorphics Ltd.", companyURL: "http://www.epimorphics.com/" }
    ],

    // authors, add as many as you like. 
    // This is optional, uncomment if you have authors as well as editors.
    // only "name" is required. Same format as editors.

    //authors:  [],

    // name of the WG
    wg:           "Government Linked Data Working Group",

    // URI of the public WG page
    wgURI:        "http://www.w3.org/2011/gld/",

    // name of the public mailing to which comments are due
    wgPublicList: "public-gld-comments",

    // URI of the patent status for this WG, for Rec-track documents
    // !!!! IMPORTANT !!!!
    // This is important for Rec-track documents, do not copy a patent URI from a random
    // document unless you know what you're doing. If in doubt ask your friendly neighbourhood
    // Team Contact.
    //wgPatentURI:  "",
    maxTocLevel: 3,
    preProcess: [ preProc, addGLDBiblio ]
    //alternateFormats: [ {uri: "diff-20110507.html", label: "diff to previous version"} ],
};

function updateExample(doc, content) {
  // perform transformations to make it render and prettier
  content = content.replace(/<!--/, '');
  content = content.replace(/-->/, '');
  content = doc._esc(content);
  content = content.replace(/\*\*\*\*([^*]*)\*\*\*\*/g, '<span class="diff">$1</span>') ;
  return content ;
}

function updateDTD(doc, content) {
  // perform transformations to
  // make it render and prettier
  content = '<pre class="dtd">' + doc._esc(content) + '</pre>';
  content = content.replace(/!ENTITY % ([^ \t\r\n]*)/g, '!ENTITY <span class="entity">% $1</span>');
  content = content.replace(/!ELEMENT ([^ \t$]*)/mg, '!ELEMENT <span class="element">$1</span>');
  return content;
}

function updateSchema(doc, content) {
  // perform transformations to
  // make it render and prettier
  content = '<pre class="dtd">' + doc._esc(content) + '</pre>';
  content = content.replace(/&lt;xs:element\s+name=&quot;([^&]*)&quot;/g, '&lt;xs:element name="<span class="element" id="schema_element_$1">$1</span>"') ;
  return content;
}

function updateTTL(doc, content) {
  // perform transformations to
  // make it render and prettier
  content = '<pre class="sh_sourceCode">' + doc._esc(content) + '</pre>';
  content = content.replace(/@prefix/g, '<span class="sh_keyword">@prefix</span>');
  return content;
}
